DB_ENV->lock_put()
Prev | Chapter 6. The DB_LOCK Handle | Next

## DB_ENV->lock_put()

    #include <db.h>

    int
    DB_ENV->lock_put(DB_ENV *env, DB_LOCK *lock);

The `DB_ENV->lock_put()` method releases lock.

The `DB_ENV->lock_put()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lock

The lock parameter is the lock to be released.

### Errors

The `DB_ENV->lock_put()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOCK

### See Also

Locking Subsystem and Related Methods

Prev | Up | Next
DB_ENV->lock_id_free() | Home | DB_ENV->lock_stat()